diff --git a/backend/ipp.c b/backend/ipp.c
index 1eb8f64f33..44ce8d204e 100644
--- a/backend/ipp.c
+++ b/backend/ipp.c
@@ -394,7 +394,7 @@ main(int  argc,				/* I - Number of command-line args */
 
 #  else /* No XPC, just try to run as the user ID */
     if (uid > 0)
-      seteuid(uid);
+      setuid(uid);
 #  endif /* HAVE_XPC */
   }
 #endif /* HAVE_GSSAPI */
